Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.remote.hessian.service
Class HessianService

    java.lang.Object
      org.apache.cayenne.remote.service.BaseRemoteService
          org.apache.cayenne.remote.service.HttpRemoteService
              org.apache.cayenne.remote.hessian.service.HessianService

All Implemented Interfaces:
  java.rmi.Remote, RemoteService

    public class HessianService

extends HttpRemoteService

An implementation of RemoteService for work within Caucho Hessian environment.

Since:
  3.1 the service API is reworked to initialize via Cayenne DI.

Field Summary
`static java.lang.String` | `EVENT_BRIDGE_PROPERTIES_MAP`
`static java.lang.String[]` | `SERVER_SERIALIZER_FACTORIES`

Fields inherited from class org.apache.cayenne.remote.service.BaseRemoteService
`contextFactory, EVENT_BRIDGE_FACTORY_PROPERTY, eventBridgeFactoryName, eventBridgeParameters, logger`

Constructor Summary
`HessianService(ObjectContextFactory contextFactory, java.util.Map<java.lang.String,java.lang.String> eventBridgeProperties)`

Method Summary
`protected javax.servlet.http.HttpSession` | `getSession(boolean create)` Returns an HttpSession associated with the current request in progress.

Methods inherited from class org.apache.cayenne.remote.service.HttpRemoteService
`createServerSession, createServerSession, getServerSession, getSharedChannel, saveSharedChannel`

Methods inherited from class org.apache.cayenne.remote.service.BaseRemoteService
`createChannel, createRemoteSession, establishSession, establishSharedSession, getEventBridgeFactoryName, getEventBridgeParameters, initEventBridgeParameters, processMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EVENT_BRIDGE_PROPERTIES_MAP

    public static final java.lang.String EVENT_BRIDGE_PROPERTIES_MAP

See Also:
  Constant Field Values

### SERVER_SERIALIZER_FACTORIES

    public static final java.lang.String[] SERVER_SERIALIZER_FACTORIES

Constructor Detail

### HessianService

    public HessianService(ObjectContextFactory contextFactory,
                          java.util.Map<java.lang.String,java.lang.String> eventBridgeProperties)

Since:
  3.1

Method Detail

### getSession

    protected javax.servlet.http.HttpSession getSession(boolean create)

  Description copied from class: `HttpRemoteService`
  Returns an HttpSession associated with the current request in progress.

  Specified by:
    `getSession` in class `HttpRemoteService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.